%define         git %nil
#8e379f1d64bf09224ce2863b0d8aeb7cbfde92d6
%define         shortgit %(c=%{git}; echo ${c:0:7})
%define         date 20190304

%define         major 7
%define         libname %mklibname %{name} %{major}
%define         devel %mklibname %{name} -d

%if "%{git}"
%define         relver %mkrel -c git%{date} %{rel}
%define         srcdir %{name}-%{git}
%else
%define         relver %mkrel %{rel}
%define         srcdir %{name}-%{version}
%endif

%define         rel 1

Name:           dav1d
Version:        1.4.1
Release:        %{relver}
Summary:        dav1d is an AV1 decoder
Group:          Video/Utilities
License:        BSD
URL:            https://code.videolan.org/videolan/dav1d
%if "%{git}"
Source0:        https://code.videolan.org/videolan/dav1d/-/archive/%{git}/%{name}-%{version}_%{date}_git%{shortgit}.tar.bz2
%else
Source0:        https://code.videolan.org/videolan/dav1d/-/archive/%{version}/%{name}-%{version}.tar.bz2
%endif

BuildRequires:  nasm
BuildRequires:  meson
# To build the documentation
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(libxxhash)

%description
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%package -n %{libname}
Summary:        Dav1d is an AV1 decoder
Group:          System/Libraries

%description -n %{libname}
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%package -n %{devel}
Summary:        Dav1d is an AV1 decoder
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devel}
Dav1d is a new AV1 cross-platform decoder, open-source, and focused on speed
and correctness.
This project is partially funded by the Alliance for Open Media/AOM.

The goal of this project is to provide a decoder for most platforms, and
achieve the highest speed possible to overcome the lack of AV1 hardware
decoder.
It aims to support all features from AV1, including all subsampling and
bit-depth parameters.
In the future, this project will host simple tools or simple wrappings
(like, for example, an MFT transform).

%prep
%autosetup -n %{srcdir}

%build
%meson -Denable_asm=true
%meson_build

%install
%meson_install


%files
%license COPYING
%doc CONTRIBUTING.md README.md THANKS.md NEWS
%{_bindir}/%{name}*

%files -n %{devel}
%{_includedir}/%{name}/
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%{_libdir}/libdav1d.so.%{major}{,.*}



%changelog
* Wed Apr 03 2024 ns80 <ns80> 1.4.1-1.mga10
+ Revision: 2054094
- new version 1.4.1

* Thu Feb 22 2024 kekepower <kekepower> 1.4.0-1.mga10
+ Revision: 2043333
- Update to version 1.4.0

* Sat Oct 14 2023 kekepower <kekepower> 1.3.0-1.mga10
+ Revision: 1996551
- Update to version 1.3.0
- New lib major is 7

* Mon Jun 05 2023 kekepower <kekepower> 1.2.1-1.mga9
+ Revision: 1960947
- Update to version 1.2.1

* Mon Feb 20 2023 kekepower <kekepower> 1.1.0-1.mga9
+ Revision: 1944411
- Update to version 1.1.0

* Tue Mar 29 2022 kekepower <kekepower> 1.0.0-1.mga9
+ Revision: 1831732
- Update to version 1.0.0
- New lib major is 6

* Mon Mar 07 2022 luigiwalser <luigiwalser> 0.9.2-1.mga9
+ Revision: 1789514
- 0.9.2

* Fri Aug 06 2021 luigiwalser <luigiwalser> 0.9.1-1.mga9
+ Revision: 1739934
- 0.9.1

* Sat Jun 26 2021 kekepower <kekepower> 0.9.0-1.mga9
+ Revision: 1733938
- Update to version 0.9.0

* Fri Mar 05 2021 kekepower <kekepower> 0.8.2-1.mga9
+ Revision: 1699747
- Update to version 0.8.2

* Wed Nov 25 2020 kekepower <kekepower> 0.8.0-1.mga8
+ Revision: 1649138
- Update to version 0.8.0
- New lib major is 5

* Thu Jun 25 2020 kekepower <kekepower> 0.7.1-1.mga8
+ Revision: 1599212
- Update to version 0.7.1

* Thu May 21 2020 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1586720
- Update to version 0.7.0

* Mon Mar 30 2020 kekepower <kekepower> 0.6.0-2.mga8
+ Revision: 1562453
- Enable asm

* Tue Mar 10 2020 kekepower <kekepower> 0.6.0-1.mga8
+ Revision: 1555360
- Update to verion 0.6.0
- Lib major is now 4

* Tue Feb 18 2020 umeabot <umeabot> 0.5.2-2.mga8.tainted
+ Revision: 1539641
- Mageia 8 Mass Rebuild

* Tue Dec 10 2019 kekepower <kekepower> 0.5.2-1.mga8
+ Revision: 1465643
- Update to version 0.5.2
- lib major is now 3

* Fri Aug 16 2019 kekepower <kekepower> 0.4.0-1.mga8
+ Revision: 1429404
- Update to version 0.4.0
- Lib major is now 2

* Tue Jul 02 2019 kekepower <kekepower> 0.3.1-1.mga8
+ Revision: 1417677
- Update to version 0.3.1

* Sat Apr 27 2019 kekepower <kekepower> 0.2.2-2.mga7
+ Revision: 1395773
- Update to version 0.2.2

* Wed Apr 17 2019 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1392141
- Rebuild with meson 0.50.1

* Fri Mar 15 2019 kekepower <kekepower> 0.2.1-1.mga7
+ Revision: 1377592
- Update to version 0.2.1

* Tue Mar 05 2019 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1371645
- Update to version 0.2.0
- New lib major is now 1

* Thu Dec 13 2018 kekepower <kekepower> 0.1.0-0.git20181212.1.mga7
+ Revision: 1340949
- Version 0.1.0

* Mon Dec 10 2018 kekepower <kekepower> 0.0.1-0.git20181209.1.mga7
+ Revision: 1339824
- Update to git revsion from 20181209

* Thu Nov 29 2018 kekepower <kekepower> 0.0.1-0.git20181128.1.mga7
+ Revision: 1336708
- imported package dav1d

